<?php
class Service {
	private $Path;
	private $Name;
	private $Port = 80; //Standardport
	private $URL ="http://";

	function __construct($path, $hostName)
	{
		$this->Path = $path;
		$this->URL .= $hostName;

		$this->ParsePath($path);	
	}

	public function GetImagePath()
	{
		return $this->Path;
	}

	public function GetName()
	{
		return $this->Name;
	}

	public function GetURL()
	{
		return $this->URL;
	}

	private function ParsePath($newPath)
	{
		 //Führenden Ordner und nachfolgende Dateiendung entfernen
		$start = strpos("$newPath", "/") +1 ;
		$end = strpos("$newPath", ".", $start);
		$length = $end - $start;
		$substring = substr ($newPath, $start, $length);

		//String an den "_" splitten
		$splittet = explode("_", $substring);

		//Wenn der erste Teile eine Ziffer ist, ist diese zum Sortieren angefügt worden => entfernen
		if(is_numeric($splittet[0]))
		{
			array_splice($splittet, 0, 1);
		}

		//Das letzte Element sollte eine Zahl und damit ein Port sein
		$lastelement = count($splittet) -1;
		if(is_numeric($splittet[$lastelement]))
		{
			$this->Port = $splittet[$lastelement];

			array_splice($splittet, $lastelement, 1);
			$lastelement = $lastelement-1;
		}

		//Jetzt den Namen zusammenfügen
		$i = 0;
		foreach($splittet as $str)
		{
			$this->Name .= $str;
			if($i != $lastelement) //Leerzeichen einfügen, aber nicht nach dem letzten Element
			{
				$this->Name .= " ";
			}
			$i++;
		}

		$this->URL .= ":";
		$this->URL .= $this->Port;
	}
}

class HttpServices {
	private $Services;
	//private $ServerName = "localhost";

	function __construct($serverName, $logoDir, $extension)
	{
		$ServiceList = $this->listPictures($logoDir, $extension);
		asort($ServiceList);
		$i = 0;
		foreach($ServiceList as $Service)
		{
			$this->Services[$i] = new Service($Service, $serverName);
			$i++;
		}
	}

	function GetServices()
	{
		return $this->Services;
	}

	private function listPictures($dir=".",$type="png") {
		$x = 0;
		foreach (glob($dir."*.".$type) as $filename) {
		//foreach (glob("[so]*_?.png",GLOB_BRACE|GLOB_ERR) as $filename) {
			$picture[$x] = $filename;
			$x++;
		}     
		return $picture;
	  }
}

?>